/**
*Programme cree par The Clusters
*Interface dues joueurs ( automatiques et manuels ) du jeu "Chkoba"
*Toutes les interfaces pour le reseau
*doivent heriter de Remote
*@author The Clusters
*@version 1.0
**/

package chkoba;
import chkoba.*;
import java.rmi.*;
import java.util.*;

/**
*	Interface Joueur
**/
public interface IJoueur extends Remote
{
	/**
	* METHODES
	**/
	
	void jouer(IPlateau p) throws RemoteException;
	void chkoba() throws RemoteException;
	int compteCarreaux() throws RemoteException;
	int compteSept() throws RemoteException;
	int compteSix() throws RemoteException;
	boolean septCarreau() throws RemoteException;
	void comptePoint() throws RemoteException;
	public void ajoutePlis(ArrayList<ICarte> array) throws RemoteException;
	public int compareTo(Object j) throws RemoteException;
	/**
	* ACCESSEURS
	**/
	
	public void setPris() throws RemoteException;
	void setVide(boolean b) throws RemoteException;
	void setNom(String s) throws RemoteException;
	public void setFait() throws RemoteException;
	
	public boolean getFait() throws RemoteException;
	boolean mainEstVide() throws RemoteException;
	public boolean getPris() throws RemoteException;
	IMain getMain() throws RemoteException;
	String getNom() throws RemoteException;
	int getChkoba() throws RemoteException;
	ArrayList<ICarte> getPlis() throws RemoteException;
	int getTaillePlis() throws RemoteException;
	public int getPoint() throws RemoteException ;
	
	/**
	* AFFICHAGE
	**/

	String affiche() throws RemoteException;
}